# AbilityRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class AbilityRequirement

#### Hierarchy (View Summary)

- EncounterPokemonRequirement
  - AbilityRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:653

##### Index

### Constructors

constructor

### Properties

excludeDisallowedPokemon
invertQuery
minNumberOfPokemon
requiredAbilities

### Methods

getDialogueToken
meetsRequirement
queryParty

## Constructors

### constructor

- new AbilityRequirement(
  abilities: Abilities | Abilities [],
  excludeDisallowedPokemon: boolean,
  minNumberOfPokemon?: number,
  invertQuery?: boolean,
  ): AbilityRequirement

  #### Parameters

  - abilities: Abilities | Abilities []
  - excludeDisallowedPokemon: boolean
  - minNumberOfPokemon: number = 1
  - invertQuery: boolean = false

  #### Returns AbilityRequirement

  Overrides EncounterPokemonRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:659

## Properties

### excludeDisallowedPokemon

excludeDisallowedPokemon: boolean

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:657

### invertQuery

invertQuery: boolean

Overrides EncounterPokemonRequirement.invertQuery

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:656

### minNumberOfPokemon

minNumberOfPokemon: number

Overrides EncounterPokemonRequirement.minNumberOfPokemon

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:655

### requiredAbilities

requiredAbilities: Abilities []

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:654

## Methods

### getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterPokemonRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:696

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterPokemonRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterPokemonRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:672

### queryParty

- queryParty(partyPokemon: PlayerPokemon []): PlayerPokemon []

  Returns all party members that are compatible with this requirement. For non pokemon related requirements, the entire party is returned.

  #### Parameters

  - partyPokemon: PlayerPokemon []

  #### Returns PlayerPokemon []

  Overrides EncounterPokemonRequirement.queryParty

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:680